cant start vm Failed to connect to server

down

New Member
Oct 4, 2021
2
0
1
29
Hi,

I can't start any VM anymore, even new ones freshly created.

Whenever I try, the console loads up for 1sec and I got noVNC Failed to connect to server.

I also have this error on the task log : TASK ERROR: start failed: org.freedesktop.DBus.Error.NoReply: Did not receive a reply

I'm also concerned as I have other critical VMs running and can access them normally but I'm worried I might face the same issue if I reboot them.


Can anyone please help me ?

Code:
root@proxmox2:~# pveversion -v
proxmox-ve: 5.1-42 (running kernel: 4.13.16-1-pve)
pve-manager: 5.1-46 (running version: 5.1-46/ae8241d4)
pve-kernel-4.13: 5.1-43
pve-kernel-4.13.16-1-pve: 4.13.16-43
corosync: 2.4.2-pve3
criu: 2.11.1-1~bpo90
glusterfs-client: 3.8.8-1
ksm-control-daemon: not correctly installed
libjs-extjs: 6.0.1-2
libpve-access-control: 5.0-8
libpve-common-perl: 5.0-28
libpve-guest-common-perl: 2.0-14
libpve-http-server-perl: 2.0-8
libpve-storage-perl: 5.0-17
libqb0: 1.0.1-1
lvm2: 2.02.168-pve6
lxc-pve: 2.1.1-3
lxcfs: 2.0.8-2
novnc-pve: 0.6-4
proxmox-widget-toolkit: 1.0-11
pve-cluster: 5.0-20
pve-container: 2.0-19
pve-docs: 5.1-16
pve-firewall: 3.0-5
pve-firmware: 2.0-4
pve-ha-manager: 2.0-5
pve-i18n: 1.0-4
pve-libspice-server1: 0.12.8-3
pve-qemu-kvm: 2.9.1-9
pve-xtermjs: 1.0-2
qemu-server: 5.0-22
smartmontools: 6.5+svn4324-1
spiceterm: 3.0-5
vncterm: 1.5-3
 
Last edited:

Stefan_R

Proxmox Staff Member
Staff member
Jun 4, 2019
1,300
275
88
Vienna
Your PVE version is way outdated. Please try upgrading your system...

Personal note: If you're already experiencing issues, it may be a good idea to schedule a maintainence window, make backups of your VMs and just reinstall PVE.

If you want a go at fixing it like this, I can't be of much help, but will note that the DBus error might indicate problems with your systemd install (VMs are started in a systemd slice).
 

down

New Member
Oct 4, 2021
2
0
1
29
Hi,

Thank you for your response, I have two questions :

- Can I make a backup of my VMs and restore it on the latest version of Proxmox considering my current version ?
- Do you have advice regarding the upgrade of such a old version to the last one ? Is there a one shot upgrade or any recommended intermediate version ? Or is it simply better to go from a fresh install which I would like to avoid as I have a lot of VMs.

Thanks
 

Stefan_R

Proxmox Staff Member
Staff member
Jun 4, 2019
1,300
275
88
Vienna
- Can I make a backup of my VMs and restore it on the latest version of Proxmox considering my current version ?
Yes, backups are always compatible with newer versions.

- Do you have advice regarding the upgrade of such a old version to the last one ? Is there a one shot upgrade or any recommended intermediate version ?
Follow the upgrade guides in our wiki:
https://pve.proxmox.com/wiki/Upgrade_from_5.x_to_6.0
https://pve.proxmox.com/wiki/Upgrade_from_6.x_to_7.0
so yes, 6.4 would be an intermediate.

Or is it simply better to go from a fresh install which I would like to avoid as I have a lot of VMs.
I'd say that's the safer option...
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!